function [IACC]=IACC_funcion(sala)


maxtt=155190;%numero de muestras de la respuesta impulsiva
%dt=1.4663e-05;%paso temporal utilizado en la simulación de FDTD
dt=1/44100;
sala=sala(45000:end,:);
fs=44100;

salida0bis=sala;%Comentar esto y descomentar lo otro en caso de tener que resamplear
%%
tinicial=0.005;
tfinal=0.080;

for ii=1:2;
    t0(:,ii)=find(salida0bis(:,ii)/max(abs(salida0bis(:,ii)))>1/100,1,'first');
%     t0(ii+6)=t0(ii);t0(ii+12)=t0(ii);
end
%separamos la respusta impulsiva en los 2 canales R y L
hR=salida0bis(:,1);
hL=salida0bis(:,2);
%filtramos en tercios de octava
hR=filtra(hR,fs,1);
hL=filtra(hL,fs,1);
%cortamos la señal para ajustarse a 5 y 80 milisegundos
hRcorta=hR(t0(1)+round(tinicial*fs):t0(1)+round(tfinal*fs),:);
hLcorta=hL(t0(2)+round(tinicial*fs):t0(2)+round(tfinal*fs),:);

%cálculo del IACC
IACC1=max(xcorr(hRcorta(:,1),hLcorta(:,1),round(.001*fs),'coeff'));
IACC2=max(xcorr(hRcorta(:,2),hLcorta(:,2),round(.001*fs),'coeff'));
IACC3=max(xcorr(hRcorta(:,3),hLcorta(:,3),round(.001*fs),'coeff'));
IACC4=max(xcorr(hRcorta(:,4),hLcorta(:,4),round(.001*fs),'coeff'));
IACC5=max(xcorr(hRcorta(:,5),hLcorta(:,5),round(.001*fs),'coeff'));
IACC6=max(xcorr(hRcorta(:,6),hLcorta(:,6),round(.001*fs),'coeff'));
IACC7=max(xcorr(hRcorta(:,7),hLcorta(:,7),round(.001*fs),'coeff'));
IACC8=max(xcorr(hRcorta(:,8),hLcorta(:,8),round(.001*fs),'coeff'));
IACC9=max(xcorr(hRcorta(:,9),hLcorta(:,9),round(.001*fs),'coeff'));
IACC10=max(xcorr(hRcorta(:,10),hLcorta(:,10),round(.001*fs),'coeff'));
IACC11=max(xcorr(hRcorta(:,11),hLcorta(:,11),round(.001*fs),'coeff'));
IACC12=max(xcorr(hRcorta(:,12),hLcorta(:,12),round(.001*fs),'coeff'));
IACC13=max(xcorr(hRcorta(:,13),hLcorta(:,13),round(.001*fs),'coeff'));
IACC14=max(xcorr(hRcorta(:,14),hLcorta(:,14),round(.001*fs),'coeff'));
IACC15=max(xcorr(hRcorta(:,15),hLcorta(:,15),round(.001*fs),'coeff'));
IACC16=max(xcorr(hRcorta(:,16),hLcorta(:,16),round(.001*fs),'coeff'));
IACC17=max(xcorr(hRcorta(:,17),hLcorta(:,17),round(.001*fs),'coeff'));
IACC18=max(xcorr(hRcorta(:,18),hLcorta(:,18),round(.001*fs),'coeff'));

IACC=[IACC1;IACC2;IACC3;IACC4;IACC5;IACC6;IACC7;IACC8;IACC9;IACC10;IACC11;IACC12;IACC13;IACC14;IACC15;IACC16;IACC17;IACC18];
IACC=IACC';
return



%NO FUNCIONA EL PUTO FOR DE LOS HUEVOS!!!
for ii=18%banda de tercio de octava
    IACC(ii)=max(sum(hRcorta(:,ii).*hLcorta(:,ii))/(sum(hRcorta(:,ii).^2).*(sum(hLcorta(:,ii).^2))));
    IACCB(ii)=max(xcorr(hRcorta(:,ii),hLcorta(:,ii),'coeff'));
end





return
for ii=1:2
    
    x(:,:,ii)=filtra(salida0bis(:,ii),44100,1);
    
    xcorta(:,:,ii)=x(t0(ii)+round(tinicial*fs):t0(ii)+round(tfinal*fs),:,ii);
end

for ii=18%banda de tercio de octava
    IACC(ii,:)=max(sum(xcorta(:,ii,1).*xcorta(:,ii,2))/(sum(xcorta(:,ii,1).^2).*(sum(xcorta(:,ii,2).^2))));
    IACCB(ii,:)=xcorr(xcorta(:,ii,1),xcorta(:,ii,2));
end







        
        

% semilogx(100*2.^(0:5),mean(LEF0_x),100*2.^(0:5),mean(LEF0_y),100*2.^(0:5),mean(LEF0_x)+mean(LEF0_y))
return